When you try to install xmonad-contrib today in Arch Linux it complains about missing utf8-string:
xmonad-contrib-0.8.1: dependency utf8-string-0.3.5 doesn’t exist (use –force to override)
but pretends to install despite that problem.

That wont work, you have to manually install the package:
extra/haskell-utf8-string
and then reinstall xmonad-contrib to make everything work.